package fr.iutfbleau.dev41.wamster.tp06ex01_desoxyribonucleique;

import androidx.appcompat.app.AppCompatActivity;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.preference.PreferenceManager;

public class SettingsActivity extends PreferenceActivity {

    private ObservateurParametre observateurParametre;
    private boolean[]

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.addPreferencesFromResource(R.xml.preferences);

        this.observateurParametre = new ObservateurParametre();
        PreferenceManager.setDefaultValues(this, R.xml.preferences, false);
        this.getPreferenceScreen().getSharedPreferences().registerOnSharedPreferenceChangeListener(this.observateurParametre);
    }
}